tellraw @a {"text":"Super Smackers datapack is now loaded", "color":"green"}

scoreboard objectives add Temp dummy
scoreboard objectives add Data dummy
scoreboard objectives add Math dummy
scoreboard objectives add Deaths deathCount
scoreboard objectives add Lives dummy
scoreboard objectives add Villager custom:talked_to_villager
scoreboard objectives add jumps custom:jump
scoreboard objectives add Leaves custom:leave_game
scoreboard objectives add play_time custom:play_time
scoreboard objectives add Stick_count dummy
scoreboard objectives add Max_Stick_count dummy

scoreboard objectives setdisplay belowName

forceload add 983 973 1019 1029

schedule function sumo:playercount 2s

#set deafult scores
scoreboard players set Delay Data 60
scoreboard players set Weapon Data 1
scoreboard players set Glow Data 1
scoreboard players set Map Data 1
scoreboard players set Lives Data 3
scoreboard players set Teams Data 1
scoreboard players set Glow Temp 1
scoreboard players set Traps Data 1
scoreboard players set Gravity Data 0
scoreboard players set Second Data 20

#create teams
team add 1 {"text":"GREEN"}
team modify 1 color green
team modify 1 friendlyFire false
team modify 1 collisionRule pushOtherTeams
team modify 1 deathMessageVisibility never
team modify 1 seeFriendlyInvisibles true
team modify 1 prefix {"text": "\uE201","color":"white"}

team add 2 {"text":"YELLOW"}
team modify 2 color yellow
team modify 2 friendlyFire false
team modify 2 collisionRule pushOtherTeams
team modify 2 deathMessageVisibility never
team modify 2 seeFriendlyInvisibles true
team modify 2 prefix {"text": "\uE202","color":"white"}

team add NoExplode
team modify NoExplode friendlyFire false
team modify NoExplode color dark_purple

#correct the setting signs
data merge block -16 145 -4 {Text1: '{"text":"","clickEvent":{"action":"run_command","value":"function settings:ender_pearl"}}', Text2: '{"text":"Pearl Cooldown","color":"#FFFFFF"}', Text3: '["",{"text":"3","color":"green"},{"text":"/","color":"aqua"},{"text":"10","color":"white"}]', Text4: '{"text":"(Recommend: 3)"}'}
data merge block -16 145 2 {Text1: '{"text":"","clickEvent":{"action":"run_command","value":"function settings:lives"}}', Text2: '{"text":"Lives","color":"#FFFFFF"}', Text3: '["",{"score":{"name":"Lives","objective":"Data"},"color":"green"},{"text":"/","color":"aqua"},{"text":"5","color":"white"}]', Text4: '{"text":"(Recommend: 3)"}'}
data merge block -16 145 -2 {Text1: '{"text":"","clickEvent":{"action":"run_command","value":"function settings:teams"}}', Text2: '{"text":"Team settings:","color":"#FFFFFF"}', Text3: '{"text":"Random","color":"green"}'}
data merge block -16 145 6 {Text1: '{"text":"","clickEvent":{"action":"run_command","value":"function settings:gravity"}}', Text2: '{"text":"Low gravity","color":"#FFFFFF"}', Text3: '{"text":"OFF","color":"red"}', Text4: '{"text":"(Recommend: OFF)"}'}
data merge block -16 145 4 {Text1: '{"text":"","clickEvent":{"action":"run_command","value":"function settings:glowing"}}', Text2: '{"text":"Glowing:","color":"#FFFFFF"}', Text3: '{"text":"ON","color":"green"}', Text4: '{"text":"(Recommend: ON)"}'}
execute if score Traps Data matches 1 run data merge block -16 145 -6 {Text1: '{"text":"","clickEvent":{"action":"run_command","value":"function settings:traps"}}', Text2: '{"text":"Traps:","color":"#FFFFFF"}', Text3: '{"text":"ON","color":"green"}', Text4: '{"text":"(Recommend: ON)"}'}

data merge block -17 146 -1 {Text1: '{"text":"","clickEvent":{"action":"run_command","value":"function settings:map_up"}}', Text2: '{"text":"Next map","color":"#FFFFFF"}', Text3: '{"text":"---------->","color":"aqua"}'}
data merge block -17 146 1 {Text1: '{"text":"","clickEvent":{"action":"run_command","value":"function settings:map_down"}}', Text2: '{"text":"Previous map","color":"#FFFFFF"}', Text3: '{"text":"<----------","color":"aqua"}'}
data merge block 0 144 17 {Text1: '{"text":"","clickEvent":{"action":"run_command","value":"tellraw @s [\\"\\",{\\"text\\":\\"-----------------\\\\n\\",\\"color\\":\\"gold\\"},{\\"text\\":\\" -Check us out-\\",\\"bold\\":true,\\"color\\":\\"#B300FF\\"},{\\"text\\":\\"\\\\n\\",\\"bold\\":true},{\\"text\\":\\"Youtube (Click)\\",\\"bold\\":true,\\"color\\":\\"red\\",\\"clickEvent\\":{\\"action\\":\\"open_url\\",\\"value\\":\\"https://www.youtube.com/channel/UCYzgeTC6sN111deYGYJdu2w\\"}},{\\"text\\":\\"\\\\n\\",\\"bold\\":true},{\\"text\\":\\"Twitter (Click)\\",\\"bold\\":true,\\"color\\":\\"aqua\\",\\"clickEvent\\":{\\"action\\":\\"open_url\\",\\"value\\":\\"https://twitter.com/EluantStudios\\"}},{\\"text\\":\\"\\\\n\\",\\"bold\\":true},{\\"text\\":\\"Discord (Click)\\",\\"bold\\":true,\\"color\\":\\"blue\\",\\"clickEvent\\":{\\"action\\":\\"open_url\\",\\"value\\":\\"https://discord.gg/fw6MGQv8kJ\\"}},{\\"text\\":\\"\\\\n\\",\\"bold\\":true},{\\"text\\":\\"Reddit (Click)\\",\\"bold\\":true,\\"color\\":\\"gold\\",\\"clickEvent\\":{\\"action\\":\\"open_url\\",\\"value\\":\\"https://www.reddit.com/r/EluantStudios/\\"}},{\\"text\\":\\"\\\\n\\"},{\\"text\\":\\"-----------------\\",\\"color\\":\\"gold\\"}]"}}', Text2: '{"text":"-Credits-","clickEvent":{"action":"run_command","value":"execute positioned 0 144 17 run playsound ss:voices.credits voice @a[distance=..4,limit=2,sort=nearest] 0 144 17 1"},"color":"dark_purple"}', Text3: '{"text":"(Click)","color":"aqua"}'}
data merge block -17 146 0 {Text2: '{"text":"Current map:","color":"#FFFFFF"}', Text3: '{"text":"Desert","color":"aqua"}', Text4: '{"text":"dunes","color":"aqua"}'}

data merge block 3 145 -27 {Text1: '', Text2: '', Text3: '', Text4: ''}
data merge block 3 145 -24 {Text1: '', Text2: '', Text3: '', Text4: ''}
data merge block 3 145 -21 {Text1: '', Text2: '', Text3: '', Text4: ''}
data merge block -3 145 -21 {Text1: '', Text2: '', Text3: '', Text4: ''}
data merge block -3 145 -24 {Text1: '', Text2: '', Text3: '', Text4: ''}
data merge block -3 145 -27 {Text1: '', Text2: '', Text3: '', Text4: ''}

#clone things
clone 44 62 -13 68 48 11 -12 126 -12
clone 18 129 6 18 134 -6 18 143 -6

#set up the scoreboard for when you kill someone
scoreboard objectives add DeathF deathCount
scoreboard objectives add KillsF playerKillCount

#set up bossbar
bossbar add sudden {"text":"\uE002"}
bossbar set minecraft:sudden color red
bossbar set minecraft:sudden max 120
bossbar set minecraft:sudden style progress
bossbar set minecraft:sudden value 120
bossbar set minecraft:sudden players @a
bossbar set minecraft:sudden visible false
scoreboard players set Sudden Temp 132
schedule clear sumo:countdown

#set up gamerules
gamerule announceAdvancements false
gamerule doDaylightCycle false
gamerule doImmediateRespawn true
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doWeatherCycle false
gamerule keepInventory true
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule showDeathMessages false
gamerule doTileDrops false
gamerule reducedDebugInfo true
worldborder warning distance 10
setworldspawn 0 143 0

#set up data collecting scoreboards
scoreboard objectives remove data_pearl
scoreboard objectives remove data_rounds_lost
scoreboard objectives remove data_rounds_won
scoreboard objectives remove data_kills
scoreboard objectives remove data_deaths
scoreboard objectives remove data_jump_bad

scoreboard objectives add data_pearl used:ender_pearl
scoreboard objectives add data_rounds_lost dummy
scoreboard objectives add data_rounds_won dummy
scoreboard objectives add data_kills playerKillCount
scoreboard objectives add data_deaths deathCount
scoreboard objectives add data_jump_bad dummy

#set up team rooms
tp @a[x=18,y=158,z=-29,dx=25,dy=-20,dz=55] 0 143 0

item replace entity @e[tag=panelg] weapon.mainhand with nether_brick{CustomModelData: 2}
scoreboard players set Green Temp 1
setblock 35 153 21 emerald_block

scoreboard players set Yellow Temp 1
item replace entity @e[tag=panely] weapon.mainhand with nether_brick{CustomModelData: 2}
setblock 35 153 -21 gold_block

item replace entity @e[tag=panels] weapon.mainhand with nether_brick{CustomModelData: 1}

#clear effects
effect clear @a

#secret button
setblock 0 145 21 minecraft:stone_button[facing=south]
fill -1 145 -30 1 149 -30 minecraft:white_stained_glass
#/give @a minecraft:warped_sign{BlockEntityTag:{Text1:'{"text":"","clickEvent":{"action":"run_command","value":"tellraw @a[distance=..5] [\\"\\",{\\"text\\":\\"\\\\n\\\\n\\\\n\\\\n\\\\n\\\\n\\\\n\\\\n\\\\n\\\\n----------------------------------------------------\\\\n\\"},{\\"text\\":\\"                    Super Smackers\\",\\"bold\\":true,\\"color\\":\\"yellow\\"},{\\"text\\":\\"\\\\nThis is the classic sumo concept but it has a twist to it! \\\\nthere are enderpeals and traps when you play the game\\\\n\\"},{\\"text\\":\\"enderpearls\\",\\"bold\\":true,\\"color\\":\\"green\\"},{\\"text\\":\\" are there to save you, like for example when\\\\nyou get knocked off the edge you can save your self last \\\\nmoment making the game more intense. \\"},{\\"text\\":\\"Traps\\",\\"bold\\":true,\\"color\\":\\"green\\"},{\\"text\\":\\" are designed to\\\\nkill you and be annoying, so try to avoid them or at least be \\\\nas safe as possible from them, but sometimes they may come in\\\\nhandy. everyone has multiple lives (adjustable), when you run out of lives you go into spectator. \\"},{\\"text\\":\\"Jump Pads\\",\\"bold\\":true,\\"color\\":\\"green\\"},{\\"text\\":\\" are the green and purple cloth like blocks on\\\\nthe ground that when you step on them charge up and give you a massive boost in your jump, the purple one is more powerful than the green one, (it doesn\'t matter how long you charge the pads for they give you the same amount of boost).\\\\n\\\\n----------------------------------------------------\\"}]"}}',Text2:'{"text":"-Tutorial-","color":"dark_purple"}',Text3:'{"text":"(Click)","color":"aqua"}'},display:{Name:'{"text":"Custom Sign"}'}}