schedule function start:start2 3s

function start:loading

item replace entity @e[tag=panelg] weapon.mainhand with nether_brick{CustomModelData:1}
scoreboard players set Green Temp 1
setblock 35 153 21 emerald_block

scoreboard players set Yellow Temp 1
item replace entity @e[tag=panely] weapon.mainhand with nether_brick{CustomModelData:2}
setblock 35 153 -21 gold_block

kill @e[type=item]
tag @a remove max_kills

scoreboard players reset @a Kills
scoreboard objectives add Kills playerKillCount

execute if score Teams Data matches 3 run team leave @a

#Teams
#1 - random
#2 - pick
#3 - free for all

execute if score Teams Data matches 1 if score Players Data matches 2 run team join 1 @a[limit=1,sort=random]
execute if score Teams Data matches 1 if score Players Data matches 3..4 run team join 1 @a[limit=2,sort=random]
execute if score Teams Data matches 1 if score Players Data matches 5..6 run team join 1 @a[limit=3,sort=random]
execute if score Teams Data matches 1 if score Players Data matches 7..8 run team join 1 @a[limit=4,sort=random]
execute if score Teams Data matches 1 if score Players Data matches 9..10 run team join 1 @a[limit=5,sort=random]

execute if score Teams Data matches 1 run team join 2 @a[team=!1,limit=5]

execute if score Teams Data matches 1 run team leave @a[team=!1,team=!2]
execute if score Teams Data matches 1 run gamemode spectator @a[team=!1,team=!2]

execute if score Teams Data matches 2 run team leave @a[team=!1,team=!2]
execute if score Teams Data matches 2 run gamemode spectator @a[team=!1,team=!2]

execute unless score Teams Data matches 3 run gamemode spectator @a[team=!1,team=!2]

tp @a[gamemode=spectator] 1000 65 1000

clear @a
gamemode adventure @a[gamemode=!spectator]

execute as @a run scoreboard players operation @s[gamemode=!spectator] Lives = Lives Data

stopsound @a record ss:music.lobby

execute as @a at @a run playsound ss:effects.start_game weather @s

# 1. desert
# 2. frozen
# 3. jungl
# 4. bridge
# 5. japan
# 6. tree
# 7. crane
# 8. lava
# 9. fossile
# 10. deafult

forceload remove all

forceload add 983 973 1019 1029

#reset the map
fill 983 37 973 1019 50 1029 air
fill 983 50 973 1019 63 1029 air
fill 983 63 973 1019 76 1029 air
fill 983 76 973 1019 89 1029 air
fill 983 89 973 1019 102 1029 air
fill 982 37 986 982 102 1003 air

#forceload correct chunks
execute if score Map Data matches 1 run forceload add 587 -12 613 14
execute if score Map Data matches 2 run forceload add 886 -16 914 16
execute if score Map Data matches 3 run forceload add 1214 15 1186 -15
execute if score Map Data matches 4 run forceload add 982 -14 1017 14
execute if score Map Data matches 5 run forceload add 786 -16 813 16
execute if score Map Data matches 6 run forceload add 280 -20 308 9
execute if score Map Data matches 7 run forceload add 486 -16 514 12
execute if score Map Data matches 8 run forceload add 386 13 414 -15
execute if score Map Data matches 9 run forceload add 685 -16 714 16
execute if score Map Data matches 10 run forceload add 1087 -13 1120 20

#reset small ilands
fill 954 44 987 967 82 1000 minecraft:air
fill 994 77 1045 981 39 1058 minecraft:air
fill 1037 60 1020 1050 98 1033 minecraft:air
fill 996 87 959 1009 49 946 minecraft:air

scoreboard objectives setdisplay belowName Lives
